# $Revision: 1.31 $, $Date: 2010/07/08 08:47:17 $
Summary:	Spambayes - tool used to segregate unwanted mail
Summary(pl.UTF-8):	Spambayes - narzędzie do oddzielania niechcianej poczty
Name:		spambayes
Version:	1.0.4
Release:	3
Epoch:		1
License:	PSF
Group:		Applications/Mail
Source0:	http://dl.sourceforge.net/spambayes/%{name}-%{version}.tar.gz
# Source0-md5:	78c33e79888d410711ff3c7dd7e98d79
URL:		http://spambayes.sourceforge.net/
BuildRequires:	python-devel >= 2.2
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.140
BuildRequires:	sed >= 4.0
%pyrequires_eq	python-libs
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Spambayes is a tool used to segregate unwanted mail (spam) from the
mail you want (ham). Before Spambayes can be your spam filter of
choice you need to train it on representative samples of email you
receive. After it's been trained, you use Spambayes to classify new
mail according to its spamminess and hamminess qualities.

%description -l pl.UTF-8
Spambayes jest narzędziem służącym do oddzielania niechcianej poczty
(spamu) od poczty pożądanej (ham). Zanim Spambayes stanie się filtrem
spamu o pożądanych przez użytkownika cechach, trzeba go nauczyć na
podstawie reprezentatywnych próbek otrzymanej poczty. Po nauczeniu,
można używać Spambayesa do klasyfikowania nowej poczty w zależności od
stopnia jej "spamowości".

%prep
%setup -q
%{__sed} -i -e '1s,#!.*/bin/python,#!%{_bindir}/python,' utilities/loosecksum.py

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

#install -d $RPM_BUILD_ROOT{%{_libdir}/spambayes,/tmp/{contrib,pspam}}
#cp -r contrib pspam spambayes testtools utilities $RPM_BUILD_ROOT%{_libdir}/spambayes
#install contrib/BULK.txt $RPM_BUILD_ROOT/tmp/contrib
#install pspam/README.txt $RPM_BUILD_ROOT/tmp/pspam

find $RPM_BUILD_ROOT%{py_sitescriptdir}/spambayes -name '*.py' | xargs rm -f

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.txt
%attr(755,root,root) %{_bindir}/sb_*.py
%{py_sitescriptdir}/spambayes

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: spambayes.spec,v $
Revision 1.31  2010/07/08 08:47:17  arekm
- release 3

Revision 1.30  2008/10/03 18:04:57  arekm
- release 2

Revision 1.29  2007-02-20 07:19:10  glen
- use sed

Revision 1.28  2007/02/12 22:09:15  glen
- tabs in preamble

Revision 1.27  2007/02/12 01:06:33  baggins
- converted to UTF-8

Revision 1.26  2006/05/13 08:44:14  charles
- BR: rpm-pythonprov is back, proper R
- removed Vendor

Revision 1.25  2006/05/13 07:47:49  darekr
- kill outdated patch0

Revision 1.24  2005/05/31 14:42:34  charles
- updated to 1.0.4

Revision 1.23  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.22  2004/12/26 18:36:48  saq
- release 2 for rebuild with python 2.4

Revision 1.21  2004/12/05 16:54:26  darekr
- updated to 1.0.1

Revision 1.20  2004/09/29 16:59:26  zboczuch
- 1.0 final is released (same sources as 1.0rc2)

Revision 1.19  2004/08/29 21:36:25  darekr
- update to 1.0rc2

Revision 1.18  2004/07/28 08:03:20  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.17  2004/05/29 09:57:20  zboczuch
- updated to 1.0rc1

Revision 1.16  2004/05/13 12:27:42  qboosh
- reverted breaking "fix", added deps for py_sitescriptdir

Revision 1.15  2004/04/09 13:24:02  djurban
- fix %%files

Revision 1.14  2004/04/08 11:02:33  undefine
- BR: noarch, release 2

Revision 1.13  2004/03/21 11:04:30  gotar
- upgraded to 1.0a9 (from Michal Kochanowicz)

Revision 1.12  2004/03/17 12:24:39  qboosh
- use sitescriptdir for Ac

Revision 1.11  2004/03/17 12:21:32  qboosh
- install spambayes modules in standard path, so python modules can access them
- dropped contrib, pspam etc. for now, release 0.2

Revision 1.10  2004/01/27 21:59:35  eothane
- updated to 1.0a7

Revision 1.9  2003/10/12 12:26:51  qboosh
- pythonprov is not used here

Revision 1.8  2003/09/26 12:37:58  misi3k
- updated to 1.0a6.1

Revision 1.7  2003/09/15 07:01:28  adamg
- updated to 1.0a5, added BR: ed

Revision 1.6  2003/07/22 12:42:49  adamg
- correct md5 sum

Revision 1.5  2003/07/22 12:10:23  adamg
- updated to 1.0a4

Revision 1.4  2003/05/28 13:02:00  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 06:26:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/02/17 00:13:44  qboosh
- missing dir

Revision 1.1  2003/02/13 23:17:59  ankry
- new
